Access lists of verified, completed trades.
Page properties
These properties are returned by GET /trades
| Property | Type | Description |
|---|---|---|
| trades | array of objects | See the Trade type properties below |
| page | integer | The page number of the results |
| total_pages | integer | The total number of pages of trades available |
| total_count | integer | The total number of trades available |
| has_more | boolean | Whether this page is the last page |
Trade properties
| Property | Type | Description |
|---|---|---|
| id | UUID | UUID assigned by Notice |
| issuer | object | An object containing the id and name of the stock issuer (company) |
| created_at | timestamp | |
| updated_at | timestamp | |
| volume_range_min | string | Big decimal representation of the minimum (inclusive) approximate range of the volume traded (USD) |
| volume_range_max | string (nullable) | Big decimal representation of the maximum (exclusive) approximate range of the volume traded (USD) |
| price_per_share | string (nullable) | Big decimal string representation of the USD price per share |
| structure | string (nullable) | direct, spv, or forward_contract |
| stock_type | string (nullable) | primary or secondary |
| stock_class_type | string (nullable) | common or preferred |
| stock_class | string (nullable) | Class of stock provided by owner (e.g. "Common", "Preferred", "Series A", etc) |
| sign_date | ISO8601 date string (nullable) | The date that the buyer and seller signed a binding Transfer Agreement |
| won_date | ISO8601 date string (nullable) | The date when money changed hands |
Trade permissions are required to view Notice trade data. Please reach out to [email protected] if you have questions about your permissions.
